/**
  *  \file client/tiles/planetnatives.h
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_PLANETNATIVES_H
#define PCC_V2_CLIENT_TILES_PLANETNATIVES_H

#include "client/wtile.h"

class WPlanetNativeTile : public WObjectSelectionObserverTile {
 public:
    WPlanetNativeTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

class WNarrowPlanetNativeTile : public WObjectSelectionObserverTile {
 public:
    WNarrowPlanetNativeTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

#endif
